Package org.pgpainless.signature.builder

# Class RevocationSignatureBuilder

java.lang.Object
org.pgpainless.signature.builder.AbstractSignatureBuilder<RevocationSignatureBuilder>
org.pgpainless.signature.builder.RevocationSignatureBuilder

public class RevocationSignatureBuilder extends AbstractSignatureBuilder<RevocationSignatureBuilder>

## Field Summary

### Fields inherited from class org.pgpainless.signature.builder.AbstractSignatureBuilder

`hashAlgorithm, hashedSubpackets, privateSigningKey, publicSigningKey, signatureType, unhashedSubpackets`

## Constructor Summary

Constructors
Constructor
Description
`RevocationSignatureBuilder(SignatureType signatureType, org.bouncycastle.openpgp.PGPSecretKey signingKey, SecretKeyRingProtector protector)`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCallback(RevocationSignatureSubpackets.Callback callback)`
`org.bouncycastle.openpgp.PGPSignature`
`build(String revokeeUserId)`
`org.bouncycastle.openpgp.PGPSignature`
`build(org.bouncycastle.openpgp.PGPPublicKey revokeeSubkey)`
`RevocationSignatureSubpackets`
`getHashedSubpackets()`
`RevocationSignatureSubpackets`
`getUnhashedSubpackets()`
`protected boolean`
`isValidSignatureType(SignatureType type)`
Return true if the given `SignatureType` is a valid choice for the concrete implementation of `AbstractSignatureBuilder`.

### Methods inherited from class org.pgpainless.signature.builder.AbstractSignatureBuilder

`buildAndInitSignatureGenerator, negotiateHashAlgorithm, overrideHashAlgorithm, setSignatureType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RevocationSignatureBuilder

public RevocationSignatureBuilder(SignatureType signatureType, org.bouncycastle.openpgp.PGPSecretKey signingKey, SecretKeyRingProtector protector) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

## Method Details

### isValidSignatureType

protected boolean isValidSignatureType(SignatureType type)
Description copied from class: `AbstractSignatureBuilder`
Return true if the given `SignatureType` is a valid choice for the concrete implementation of `AbstractSignatureBuilder`.

Specified by:
  `isValidSignatureType` in class `AbstractSignatureBuilder<RevocationSignatureBuilder>`
Parameters:
  `type` - type
Returns:
  return true if valid, false otherwise

### getHashedSubpackets

public RevocationSignatureSubpackets getHashedSubpackets()

### getUnhashedSubpackets

public RevocationSignatureSubpackets getUnhashedSubpackets()

### applyCallback

public void applyCallback(@Nullable RevocationSignatureSubpackets.Callback callback)

### build

public org.bouncycastle.openpgp.PGPSignature build(org.bouncycastle.openpgp.PGPPublicKey revokeeSubkey) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### build

public org.bouncycastle.openpgp.PGPSignature build(String revokeeUserId) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`